QCA::CertificateOptions Class Reference
QCA user API

`#include <QtCrypto>`

## Public Member Functions

| CertificateOptions (CertificateRequestFormat format=PKCS10)
| CertificateOptions (const CertificateOptions &from)
QString | challenge () const
Constraints | constraints () const
QStringList | crlLocations () const
CertificateRequestFormat | format () const
CertificateInfo | info () const
CertificateInfoOrdered | infoOrdered () const
bool | isCA () const
QStringList | issuerLocations () const
bool | isValid () const
QDateTime | notValidAfter () const
QDateTime | notValidBefore () const
QStringList | ocspLocations () const
CertificateOptions & | operator= (const CertificateOptions &from)
int | pathLimit () const
QStringList | policies () const
BigInteger | serialNumber () const
void | setAsCA (int pathLimit=8)
void | setAsUser ()
void | setChallenge (const QString &s)
void | setConstraints (const Constraints &constraints)
void | setCRLLocations (const QStringList &locations)
void | setFormat (CertificateRequestFormat f)
void | setInfo (const CertificateInfo &info)
void | setInfoOrdered (const CertificateInfoOrdered &info)
void | setIssuerLocations (const QStringList &locations)
void | setOCSPLocations (const QStringList &locations)
void | setPolicies (const QStringList &policies)
void | setSerialNumber (const BigInteger &i)
void | setValidityPeriod (const QDateTime &start, const QDateTime &end)

## Detailed Description

Certificate options

Note
  In SPKAC mode, all options are ignored except for challenge

## Constructor & Destructor Documentation

## CertificateOptions() [1/2]

QCA::CertificateOptions::CertificateOptions | ( | CertificateRequestFormat | format = PKCS10 | ) |

Create a Certificate options set.

Parameters

  format | the format to create the certificate request in

References format(), and QCA::PKCS10.

Referenced by CertificateOptions(), and operator=().

## CertificateOptions() [2/2]

QCA::CertificateOptions::CertificateOptions | ( | const CertificateOptions & | from | ) |

Standard copy constructor.

Parameters

  from | the Certificate Options to copy into this object

References CertificateOptions().

## Member Function Documentation

## operator=()

CertificateOptions & QCA::CertificateOptions::operator= | ( | const CertificateOptions & | from | ) |

Standard assignment operator.

Parameters

  from | the Certificate Options to copy into this object

References CertificateOptions().

## format()

CertificateRequestFormat QCA::CertificateOptions::format | ( |  | ) | const

test the format type for this certificate

Referenced by CertificateOptions().

## setFormat()

void QCA::CertificateOptions::setFormat | ( | CertificateRequestFormat | f | ) |

Specify the format for this certificate.

Parameters

  f | the format to use

## isValid()

bool QCA::CertificateOptions::isValid | ( |  | ) | const

Test if the certificate options object is valid.

Returns
  true if the certificate options object is valid

## challenge()

QString QCA::CertificateOptions::challenge | ( |  | ) | const

The challenge part of the certificate.

For CertificateRequest only

See also
  setChallenge

## info()

CertificateInfo QCA::CertificateOptions::info | ( |  | ) | const

Information on the subject of the certificate.

See also
  setInfo

Referenced by setInfo(), and setInfoOrdered().

## infoOrdered()

CertificateInfoOrdered QCA::CertificateOptions::infoOrdered | ( |  | ) | const

Information on the subject of the certificate, in the exact order the items will be written.

See also
  setInfoOrdered

## constraints()

Constraints QCA::CertificateOptions::constraints | ( |  | ) | const

List the constraints on this certificate.

Referenced by setConstraints().

## policies()

QStringList QCA::CertificateOptions::policies | ( |  | ) | const

list the policies on this certificate

Referenced by setPolicies().

## crlLocations()

QStringList QCA::CertificateOptions::crlLocations | ( |  | ) | const

list of URI locations for CRL files

each URI refers to the same CRL file

For Certificate creation only

## issuerLocations()

QStringList QCA::CertificateOptions::issuerLocations | ( |  | ) | const

list of URI locations for issuer certificate files

each URI refers to the same issuer file

For Certificate creation only

## ocspLocations()

QStringList QCA::CertificateOptions::ocspLocations | ( |  | ) | const

list of URI locations for OCSP services

For Certificate creation only

## isCA()

bool QCA::CertificateOptions::isCA | ( |  | ) | const

test if the certificate is a CA cert

See also
  setAsCA
  setAsUser

## pathLimit()

int QCA::CertificateOptions::pathLimit | ( |  | ) | const

return the path limit on this certificate

Referenced by setAsCA().

## serialNumber()

BigInteger QCA::CertificateOptions::serialNumber | ( |  | ) | const

The serial number for the certificate.

For Certificate creation only

## notValidBefore()

QDateTime QCA::CertificateOptions::notValidBefore | ( |  | ) | const

the first time the certificate will be valid

For Certificate creation only

## notValidAfter()

QDateTime QCA::CertificateOptions::notValidAfter | ( |  | ) | const

the last time the certificate is valid

For Certificate creation only

## setChallenge()

void QCA::CertificateOptions::setChallenge | ( | const QString & | s | ) |

Specify the challenge associated with this certificate.

Parameters

  s | the challenge string

See also
  challenge()

## setInfo()

void QCA::CertificateOptions::setInfo | ( | const CertificateInfo & | info | ) |

Specify information for the subject associated with the certificate.

Parameters

  info | the information for the subject

See also
  info()

References info().

## setInfoOrdered()

void QCA::CertificateOptions::setInfoOrdered | ( | const CertificateInfoOrdered & | info | ) |

Specify information for the subject associated with the certificate.

Parameters

  info | the information for the subject

See also
  info()

References info().

## setConstraints()

void QCA::CertificateOptions::setConstraints | ( | const Constraints & | constraints | ) |

set the constraints on the certificate

Parameters

  constraints | the constraints to be used for the certificate

References constraints().

## setPolicies()

void QCA::CertificateOptions::setPolicies | ( | const QStringList & | policies | ) |

set the policies on the certificate

Parameters

  policies | the policies to be used for the certificate

References policies().

## setCRLLocations()

void QCA::CertificateOptions::setCRLLocations | ( | const QStringList & | locations | ) |

set the CRL locations of the certificate

each location refers to the same CRL.

Parameters

  locations | a list of URIs to CRL files

## setIssuerLocations()

void QCA::CertificateOptions::setIssuerLocations | ( | const QStringList & | locations | ) |

set the issuer certificate locations of the certificate

each location refers to the same issuer file.

Parameters

  locations | a list of URIs to issuer certificate files

## setOCSPLocations()

void QCA::CertificateOptions::setOCSPLocations | ( | const QStringList & | locations | ) |

set the OCSP service locations of the certificate

Parameters

  locations | a list of URIs to OCSP services

## setAsCA()

void QCA::CertificateOptions::setAsCA | ( | int | pathLimit = 8 | ) |

set the certificate to be a CA cert

Parameters

  pathLimit | the number of intermediate certificates allowable

References pathLimit().

## setAsUser()

void QCA::CertificateOptions::setAsUser | ( |  | ) |

set the certificate to be a user cert (this is the default)

## setSerialNumber()

void QCA::CertificateOptions::setSerialNumber | ( | const BigInteger & | i | ) |

Set the serial number property on this certificate.

Parameters

  i | the serial number to use

## setValidityPeriod()

void QCA::CertificateOptions::setValidityPeriod | ( | const QDateTime & | start,
|  | const QDateTime & | end )

Set the validity period for the certificate.

Parameters

  start | the first time this certificate becomes valid
  end | the last time this certificate is valid

The documentation for this class was generated from the following file:

- qca_cert.h